package net.minecraft.client.gui.screens;

import net.minecraft.client.resources.language.I18n;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.client.gui.chat.NarratorChatListener;

public class ReceivingLevelScreen extends Screen {
    public ReceivingLevelScreen() {
        super(NarratorChatListener.NO_TITLE);
    }
    
    @Override
    public boolean shouldCloseOnEsc() {
        return false;
    }
    
    @Override
    public void render(final PoseStack dhl, final int integer2, final int integer3, final float float4) {
        this.renderDirtBackground(0);
        this.drawCenteredString(dhl, this.font, I18n.get("multiplayer.downloadingTerrain"), this.width / 2, this.height / 2 - 50, 16777215);
        super.render(dhl, integer2, integer3, float4);
    }
    
    @Override
    public boolean isPauseScreen() {
        return false;
    }
}
